# 설치

## 요구사항 <a href="#requirements" id="requirements"></a>

* **Android**: API 버전 <mark style="color:blue;">**21**</mark> 이상
  * `android/app/build.gradle` 파일에서 `compileSdkVersion`을 <mark style="color:blue;">**34**</mark>로 설정해야 합니다.
* **iOS**: 버전 <mark style="color:blue;">**13.0**</mark> 이상
  * Flutter 프로젝트의 `ios/Podfile`에서 `platform :ios` 버전을 <mark style="color:blue;">**13.0**</mark> 으로 업데이트하고, 필요에 따라 `ios/Podfile`을 확인하고 수정해야 합니다.

{% hint style="info" %}
해당 패키지는 **Android**, **iOS** 환경에서만 사용 가능합니다. **Web**, **MacOS**, **Window**, **Linux** 환경에서는 사용할 수 없습니다.&#x20;
{% endhint %}

## 설치하기 <a href="#installation" id="installation"></a>

Wepin Flutter 핀 패드 라이브러리는 [pub.dev](https://pub.dev/packages/wepin_flutter_pin_pad)에 배포되어 있으며, 아래 명령어나 앱의 pubspec.yaml에 dependency를 추가하여 설치할 수 있습니다.

#### Flutter pub add 명령어로 추가

```sh
$ flutter pub add wepin_flutter_pin_pad
```

#### pubspec.yaml 의 dependency 에 `wepin_flutter_pin_pad`추가

```yaml
dependencies:
  wepin_flutter_pin_pad: ^0.0.1
```

설치가 완료되면 앱 등록 후 할당받은 App ID와 App Key를 사용하여 아래와 같이 WepinPinPad 인스턴스를 초기화합니다. 이렇게 하면 위핀의 핀 패드를 사용할 수 있게 됩니다.

<pre class="language-dart"><code class="lang-dart"><strong>// 1. 패키지 import
</strong>import 'package:wepin_flutter_pin_pad/wepin_flutter_pin_pad.dart';
import 'package:wepin_flutter_pin_pad/wepin_flutter_pin_pad_types.dart';
<strong>
</strong>// 2. 인스턴스 초기화
WepinPinPad wepinPinPad = WepinPinPad(wepinAppKey: wepinAppKey, wepinAppId: wepinAppId);
</code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wepin.io/widget-integration/flutter-sdk/pin-pad-library/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
